<template>
<div>
  <div ref="scrollBox" class="scrollBox" :style="{ width: boxWidth, opacity: visible ? 1 : 0}" @scroll="handleScroll" id="scrollBox">
     <div class="scrollContent" :style="{ width: contentWidth, display: 'inline-block' }" id="scrollContent">
     </div>
  </div>
</div>
</template>

<script>
import { mapGetters } from 'vuex'

export default {
  props: {
    visible: {
      type: Boolean,
      default: true
    },
    boxWidth: {
      type: String,
      required: true
    },
    contentWidth: {
      type: String,
      required: true
    },
    scrollLeft: {
      type: Number,
      default: 0
    }
  },
  data () {
    return {
      scrollBoxLeft: 0
    }
  },
  computed: {
    ...mapGetters([
      'mainContainerHeight'
    ])
  },
  watch: {
    scrollLeft (value) {
      this.$refs.scrollBox.scrollLeft = value
    }
  },
  methods: {
    handleScroll (e) {
      this.scrollBoxLeft = e.srcElement.scrollLeft
      this.$emit('update:scrollLeft', e.srcElement.scrollLeft)
    }
  }
}
</script>

<style lang="scss">
.scrollBox{
  overflow-x: auto;
  position: absolute;
  bottom: 0;
  transition: opacity ease-in-out .3s;;
  .scrollContent{
    height: 1px;
  }
}
</style>
